
QGIS Application - Bug report #15580

Closing "measure angle" causes crash on multiple displays

2016-09-19 05:01 AM - Nicklas Larsson

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.2 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:Yes Copied to github as #: 23504

Description

Closing "Measure Angle" dialogue window, if it is placed on a different display/monitor than the main map canvas is, causes crash.

"Measure Line" and "Measure Area" work as expected.

Only tried on OS X and QGIS 2.14.3 (crash dump appended).

History

#1 - 2016-11-07 03:17 AM - Nicklas Larsson

The same happens with 2.14.8

#2 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-03-07 07:32 AM - Giovanni Manghi

- OS version changed from 10.11.6 to 10.12

- Affected QGIS version changed from 2.14.3 to 2.18.2

- Operating System changed from OSX to macOS

- Target version set to Version 2.18

Confirmed on 2.18.2 on macOS Sierra

#4 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
